Text/Image to Video
curl --request POST \
--url https://api.mulerouter.ai/vendors/midjourney/v1/tob/video-diffusion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "https://upload.wikimedia.org/wikipedia/commons/e/e7/Everest_North_Face_toward_Base_Camp_Tibet_Luca_Galuzzi_2006.jpg A beautiful sunset over the mountains",
"video_type": 0
}
'import requests
url = "https://api.mulerouter.ai/vendors/midjourney/v1/tob/video-diffusion"
payload = {
"prompt": "https://upload.wikimedia.org/wikipedia/commons/e/e7/Everest_North_Face_toward_Base_Camp_Tibet_Luca_Galuzzi_2006.jpg A beautiful sunset over the mountains",
"video_type": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'https://upload.wikimedia.org/wikipedia/commons/e/e7/Everest_North_Face_toward_Base_Camp_Tibet_Luca_Galuzzi_2006.jpg A beautiful sunset over the mountains',
video_type: 0
})
};
fetch('https://api.mulerouter.ai/vendors/midjourney/v1/tob/video-diffusion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_info": {
"id": "8e1e315e-b50d-4334-a231-be7d19a372f4",
"status": "pending",
"created_at": "2025-09-21T00:00:00.000Z",
"updated_at": "2025-09-21T00:00:00.000Z"
}
}Midjourney
Video Diffusion
Video Generation - Image to Video
POST
/
vendors
/
midjourney
/
v1
/
tob
/
video-diffusion
Text/Image to Video
The
prompt parameter is compatible with Midjourney’s format. Please refer to Midjourney’s official documentation for more details.Pricing
| Task Name | Resolution | Mode | Pricing |
|---|---|---|---|
| Video Diffusion | 480p | Fast Mode | 0.51$ |
| 480p | Turbo Mode | 1.02$ | |
| 720p | Fast Mode | 1.632$ | |
| 720p | Turbo Mode | 3.264$ |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Image to Video generation request body
Prompt for video generation. Must be between 1 and 8192 characters. Must start with an Image URL or Base64 encoded image string.
Required string length:
1 - 8192Video quality option provided by upstream service
0: 480p
1: 720p
Required range:
0 <= x <= 1Response
202 - application/json
Task accepted and queued for processing
Show child attributes
Show child attributes
⌘I

